<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/ReminderDateTable.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ReminderDateTable.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="ReminderDateTable_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;import QtQuick 2.14</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtQuick.Controls 2.14</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;ListView {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    id: date_view</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classReminderDateTable.html#ad810452e77a4496dce1992c7a4e37c29">   18</a></span>&#160;    height: 30</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    spacing: 50</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">function</span> get_reminder_date(){</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keywordflow">return</span> date_view.currentItem.getDate_t()</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">property</span> var dateArray: []</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    highlight: Rectangle {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        width: 1</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        height: 1</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        border.width: 2</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        border.color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        radius: 4</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        color: <span class="stringliteral">&quot;transparent&quot;</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        z: 2</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        x: date_view.currentItem.x</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        y: date_view.currentItem.y</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        Behavior on x { SpringAnimation { spring: 3; damping: 0.2 } }</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        Behavior on y { SpringAnimation { spring: 3; damping: 0.2 } }</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    }</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    highlightFollowsCurrentItem: <span class="keyword">true</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">function</span> addingReminder()</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        date_view.append({datePlase: <span class="stringliteral">&quot;&quot;</span>})</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    }</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    orientation: ListView.Horizontal</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    Rectangle {</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        width: parent.width</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        height: parent.height</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        color: <span class="stringliteral">&quot;black&quot;</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        opacity: 0.1</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        radius: 5</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        z: -1</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    }</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    MouseArea{</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        z: -1</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        onWheel: {</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            <span class="keywordflow">if</span> (wheel.angleDelta.y &gt; 0)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                <span class="keywordflow">if</span> (parent.currentIndex !== date_view.count - 1)</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;                parent.currentIndex += 1</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            }</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="keywordflow">else</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            {</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;                <span class="keywordflow">if</span> (parent.currentIndex != 0)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                    parent.currentIndex -= 1</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            }</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        }</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    }</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    model: date_list</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    delegate: Column {</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        spacing: 5</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keyword">function</span> getDate_t(){</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <span class="keywordflow">return</span> date_field.text</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        }</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        Rectangle {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            id: date_plase</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            gradient: style.getGradientStandart()</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            implicitWidth: 200</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            implicitHeight:  30</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            border.color: <span class="stringliteral">&quot;#000&quot;</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            border.width: 1</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            radius: 5</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            states:[</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                State {</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;                    name: <span class="stringliteral">&quot;BUTTON_ENTERED&quot;</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                    PropertyChanges { target: date_plase; gradient: style.getGradientEntered()} <span class="comment">//implicitWidth: 300; implicitHeight: 300}</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                },</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                State {</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                    name: <span class="stringliteral">&quot;BUTTON_EXITED&quot;</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                    PropertyChanges { target: date_plase; gradient: style.getGradientStandart()}</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                }</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;            ]</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            MouseArea {</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                anchors.fill:parent</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                hoverEnabled: <span class="keyword">true</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                onEntered: date_plase.state = <span class="stringliteral">&quot;BUTTON_ENTERED&quot;</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                onExited:  date_plase.state = <span class="stringliteral">&quot;BUTTON_EXITED&quot;</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                onClicked: date_view.currentIndex = model.index</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            }</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;            Text {</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                id: date_field</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                text: datePlase</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                font.pixelSize: 15</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;            }</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        }</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    }</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassReminderDateTable_html"><div class="ttname"><a href="classReminderDateTable.html">ReminderDateTable</a></div><div class="ttdoc">Грид с отображения возможных дат напоминаний</div><div class="ttdef"><b>Definition:</b> <a href="ReminderDateTable_8qml_source.html#l00013">ReminderDateTable.qml:13</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
